from PIL import Image
import base64
a = '[encoded data, 5464 characters]'

b = base64.standard_b64decode(a)
print(0 ^ b[1])
c = []
for i in range(len(b)):
    if i % 2 == 0:
        c.append( b[i] ^ 188 )
    else:
        c.append( b[i] ^ 236)
bit = Image.frombytes('L', (64,64), bytes(c))
bit.show()